Bug 142188 - [new port]: haskell port devel/hs-haskell-src-exts
[new port]: haskell port devel/hs-haskell-src-exts
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: haskell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-30 22:30 UTC by jacula
Modified: 2010-01-03 00:47 UTC (History)
0 users

See Also:


Attachments
hs-haskell-src-exts.shar (6.84 KB, text/plain)
2009-12-30 22:30 UTC, jacula
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jacula 2009-12-30 22:30:02 UTC
haskell-src-exts: Manipulating Haskell source: abstract syntax,
lexer, parser, and pretty-printer.

http://www.cs.chalmers.se/~d00nibro/haskell-src-exts/
Comment 1 Edwin Groothuis freebsd_committer 2009-12-30 22:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2010-01-02 23:37:22 UTC
pgj         2010-01-02 23:37:09 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hs-haskell-src-exts Makefile distinfo pkg-descr 
                              pkg-plist 
  Log:
  Haskell-Source with Extensions (HSE, haskell-src-exts) is an extension of
  the standard haskell-src package, and handles most registered syntactic
  extensions to Haskell, including:
  
    * Multi-parameter type classes with functional dependencies
    * Indexed type families (including associated types)
    * Empty data declarations
    * GADTs
    * Implicit parameters
    * Template Haskell
  
  and a few more. All extensions implemented in GHC are supported.
  Apart from these standard extensions, it also handles regular patterns as
  per the HaRP extension as well as HSX-style embedded XML syntax.
  
  WWW: http://www.cs.chalmers.se/~d00nibro/haskell-src-exts/
  
  PR:             ports/142188
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.3736    +1 -0      ports/devel/Makefile
  1.1       +78 -0     ports/devel/hs-haskell-src-exts/Makefile (new)
  1.1       +3 -0      ports/devel/hs-haskell-src-exts/distinfo (new)
  1.1       +17 -0     ports/devel/hs-haskell-src-exts/pkg-descr (new)
  1.1       +37 -0     ports/devel/hs-haskell-src-exts/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Pali freebsd_committer 2010-01-03 00:46:41 UTC
State Changed
From-To: open->closed

The port has been committed with minor nits.  Thank you!